¿Qué trae cada actualización desde Moodle 2.2 a Moodle 2.7?

Home / Factorsim / ¿Qué trae cada actualización desde Moodle 2.2 a Moodle 2.7?
De
En Factorsim, Moodle

Desde que lanzaron la versión 2.0, la política de actualizaciones de Moodle funciona como un reloj. Cada 6 meses hay una actualización mayor de código, acompañada de actualizaciones menores cada 2 meses.

http://docs.moodle.org/dev/Releases

http://docs.moodle.org/dev/Releases

 

Con este ritmo de actualización, a veces es complicado saber qué nos trae de novedades la última versión de Moodle con respecto a la anterior. Muchos clientes nos preguntan ¿Qué me aporta Moodle 2.6? ¿Qué diferencias hay con respecto a las versiones de Moodle que tengo actualmente?

Para ayudarles a tomar decisiones, hemos creado un listado de funcionalidades que se han incorporado en cada release mayor de Moodle y las hemos agrupado en un documento. Creemos que puede ser interesante para otras personas y hemos decidido compartirlo.

La información está extraída de la documentación oficial. Las negritas son nuestras. Hemos enfatizado aquella información que consideramos más significativa de cada actualización. Es posible que falten cosas o que hayamos relativizado otras.

Estaremos encantados de oír vuestras opiniones al respecto.

Moodle 2.2

Fecha de lanzamiento: 5 Diciembre 2011
Información de referencia:
http://docs.moodle.org/all/es/Notas_de_Moodle_2.2

M2-scorm-report

    • El bloque de navegación añade enlaces a las secciones
    • Actividades condicionales permiten la disponibilidad en fecha exacta (incluyendo hora).
    • Comprobación de permisos en un contexto (útil para administradores)
  • Requisitos
    • Espacio en disco suficiente para la instalación y los archivos a publicar (1 GB mínimo sería recomendable)
    • Memoria RAM de 1GB. *Moodle podría soportar de 10 a 20 usuarios concurrentes por cada GB de memoria RAM (dependiendo de la configuración hardware/software)
    • Principalmente Apache, aunque soporta otros sistemas operativos.
    • PHP versión 5.3.2 con extensiones y configuración específica http://docs.moodle.org/22/en/PHP.
    • MySQL 5.0.25 y PostgreSQL 8.3. También soporta otras BBDD como Oracle, SQLite, MSSQL.
    • Explorer 7 o superior. Y funciona correctamente (salvo que el tema gráfico no lo soporte) los navegadores modernos (Safari, Chrome, Firefox)

 

Moodle 2.3

Fecha de lanzamiento: 25  Julio 2012
Información de referencia:
http://docs.moodle.org/dev/ Moodle_2.3_release_notes
http://tecnologia-internet-y-formacion.blogspot.com.es/2012/05/ya-llega-moodle-23.html

  • Ficheros
    • Nuevo diseño y mejoras de usabilidad del gestor de ficheros
    • El gestor de ficheros visualiza miniaturas de las imágenes.
    • Drag and drop de ficheros directamente desde el escritorio.
    • Se permite la creación de alias de ficheros.
  • Repositorios
    • Se permiten alias a archivos alojados en un repositorio de tipo EQUELLA
    • Los recursos actualizados en algunos tipos de repositorio (sistema, archivos privados, EQUELLA…)  y vinculados como alias, permiten la actualización del mismo.
    • Se añade la funcionalidad de vincular archivos desde repositorios en las actividades de Base de datos, Glosario y Fórum.
  • Cursos
    • La gestión AJAX se ha reprogramado bajo YUI3.
    • Nueva interface para la selección de actividades.
    • Los cursos pueden elegir mostrar secciones o páginas individuales.
    • Se pueden arrastrar directamente ficheros a las secciones de los cursos.
    • Edición directa (sin entrar en configuración) del nombre de las actividades.
    • Es posible navegar entre secciones (con una tipología de cursos)
  • Nuevo módulo tarea, completamente reprogramado y más sencillo (existe la posibilidad de migrar las tareas antiguas) http://docs.moodle.org/all/es/M%C3%B3dulo_de_tarea

newrestrictaccess

    • Las actividades SCORM funcionan correctamente con Activity Completion
  • Requisitos
    • Espacio en disco suficiente para la instalación y los archivos a publicar (1 GB mínimo sería recomendable)
    • Memoria RAM de 1GB. *Moodle podría soportar de 10 a 20 usuarios concurrentes por cada GB de memoria RAM dependiendo del t de la configuración hardware/software)
    • Principalmente Apache, aunque soporta otros sistemas operativos.
    • PHP versión 5.3.2 con extensiones y configuración específica http://docs.moodle.org/22/en/PHP.
    • MySQL 5.1.33 y PostgreSQL 8.3. También soporta otras BBDD como Oracle, SQLite, MSSQL.
    • Explorer 8 o superior. Y funciona correctamente (salvo que el tema gráfico no lo soporte) los navegadores modernos (Safari, Chrome, Firefox). En concreto Safari 5, Google Chrome 11, Firefox 4.

 

Moodle 2.4

Fecha de lanzamiento: 3 Diciembre 2012
Información de referencia:
http://docs.moodle.org/all/es/Notas_de_Moodle_2.4

  • Mejoras en el core de Moodle, que permiten más estabilidad, rapidez y mejora de rendimiento general.
  • Nuevo índice de contexto para mejorar sustancialmente el desempeño del sistema en instalaciones grandes con PostgreSQL.
  • Posibilidad de actualizar directamente los plugins desde el panel de administración vía web.
  • Se pueden condicionar el acceso a actividades y secciones a un valor en un campo del usuario.
  • Las cohortes se pueden sincronizar con grupos.
  • Mejoras en las inscripciones a cursos (manual, autoinscripción y vía cohorte)
  • Posibilidad de enlazar calendarios externos al calendario de Moodle.
  • Soporte completo para nombres de archivo Unicode en archivos zip.
  • Mejoras en las tareas (evaluación invisible, fechas de envío, calificación offline, asignación a grupos…)
  • Mejoras de usabilidad y navegación
    • Nuevo diseño y mejoras de usabilidad del gestor de ficheros.
    • Nuevos iconos. Soporte del formato SVG.
    • Mayor compatibilidad con Explorer 8, 9 y 10.
    • El gestor de ficheros visualiza miniaturas de las imágenes.
    • Drag and drop de ficheros directamente desde el escritorio.
    • Se permite la creación de alias de ficheros.
    • Integración mejorada con TinyMCE
  • Inicio de implementación de la Caché Universal Moodle. http://docs.moodle.org/dev/The_Moodle_Universal_Cache_(MUC)
  • Requisitos
    • Espacio en disco suficiente para la instalación y los archivos a publicar (1 GB mínimo sería recomendable)
    • Memoria RAM de 1GB. *Moodle podría soportar de 10 a 20 usuarios concurrentes por cada GB de memoria RAM dependiendo del t de la configuración hardware/software)
    • Principalmente Apache, aunque soporta otros sistemas operativos.
    • PHP versión 5.3.2 con extensiones y configuración específica http://docs.moodle.org/22/en/PHP.
    • MySQL 5.1.33 y PostgreSQL 8.3. También soporta otras BBDD como Oracle, SQLite, MSSQL.
    • Explorer 8 o superior. Y funciona correctamente (salvo que el tema gráfico no lo soporte) los navegadores modernos (Safari, Chrome, Firefox). En concreto Safari 5, Google Chrome 11, Firefox 4.

Moodle 2.5

Fecha de lanzamiento: 14 Mayo 2013
Información de referencia:
http://docs.moodle.org/all/es/Notas_de_Moodle_2.5

  • Integración con Open Badges http://docs.moodle.org/all/es/Insignias
  • Nueva interface para la instalación de complementos http://docs.moodle.org/all/es/Instalar_complementos
  • Nuevos temas gráficos Bootstrap y un tema nuevo responsive (Clean http://docs.moodle.org/all/es/Tema_limpio_(clean))
  • Moodle se ha movido para usar un mecanismo más seguro para asegurar las contraseñas (passwords); a partir de 2.5 las contraseñas nuevas se generarán usando bcrypt en lugar de md5. Bcrypt sólamente es soportado por las versiones de PHP 5.3.7 y superiores, así que para una correcta instalación, es recomendable usar esta versión de php.
  • Mejoras en la usabilidad general (saltar entre secciones de un curso, arrastrar y soltar, rediseño de formularios…)
  • La funcionalidad de arrastrar y soltar funciona en todo el campus (no sólo en la edición de cursos)
  • Comienzo de soporte para Maria DB
  • Formularios más cortos y con navegación por elementos desplegables.
  • Soporte a la creación de repositorios basados en Google Drive.
  • Inscripciones
    • Nueva opción para la prevención de nuevas auto-inscripciones en el curso
    • Mayor soporte a la autoinscripción en cursos mediante Paypal
    • Corrección de problemas en la inscripción con texto plano.
  • Mejoras en la carga, mejor cacheado de ficheros, nuevo caché de repositorio, optimización de la carga de YUI.
  • Posibilidad de mostrar el contenido de una carpeta directamente en el curso.
  • Las contraseñas nuevas se generan usando bcrypt en lugar de md5.
  • Posibilidad de buscar en la lista de usuarios inscritos en un aula concreta.
  • Mejoras en la exportación de listados a xls y ods.
  • Mejor soporte a la aplicación Moodle Mobile (funciones para el acceso en modo desconectado y en el acceso a recursos desde el móvil)
  • Se añade soporte Jquery como opción adicional a YUI. http://docs.moodle.org/dev/jQuery
  • Requisitos
    • Espacio en disco suficiente para la instalación y los archivos a publicar (1 GB mínimo sería recomendable)
    • Memoria RAM de 1GB. *Moodle podría soportar de 10 a 20 usuarios concurrentes por cada GB de memoria RAM dependiendo de la configuración hardware/software)
    • Principalmente Apache, aunque soporta otros sistemas operativos.
    • PHP versión 5.3.7 con extensiones y configuración específica http://docs.moodle.org/22/en/PHP.
    • MySQL 5.1.33 y PostgreSQL 8.3. María DB 5.3.5. También soporta otras BBDD como Oracle, SQLite, MSSQL.
    • Explorer 8 o superior. Y funciona correctamente (salvo que el tema gráfico no lo soporte) los navegadores modernos (Safari, Chrome, Firefox). En concreto Safari 5, Google Chrome 11, Firefox 4.
    • Nuevo requisito de extensión: GD

 

Moodle 2.6

Fecha de lanzamiento: 18 Noviembre 2013
Información de referencia:
http://docs.moodle.org/all/es/Notas_de_Moodle_2.6
http://docs.moodle.org/all/es/Nuevas_caracter%C3%ADsticas_de_Moodle_2.6

  • Mejoras en usabilidad (interface mejorada en la gestión de categorías y cursos, mejoras en los iconos, en la gestión de imágenes en el editor…)
  • Campos de nombre adicionales en la ficha de usuario. http://docs.moodle.org/all/es/Campos_de_nombre_adicionales
  • Herramienta para la creación masiva de cursos. http://docs.moodle.org/all/es/Subir_cursos
  • Importación y exportación de roles.
    http://docs.moodle.org/all/es/Importaci%C3%B3n_y_exportaci%C3%B3n_de_roles
  • Mayor estabilidad en la restauración de cursos muy grandes
  • Anotaciones en archivos PDF publicados en las actividades
  • Formato de curso para actividad única
  • Mejoras en el flujo de calificación. 
  • Mejoras en el editor TinyMCE
  • Recuperación simplificada de nombre de usuario y contraseña
  • Mejor soporte para memcached.
  • Mejoras en la estabilidad y rendimiento de la aplicación.
  • Extensión OPcache totalmente soportada y recomendada para la mejora del rendimiento.
  • Soporte completo para Maria DB.
  • Eliminación masiva de entradas en el módulo BBDD.
  • El módulo Herramienta externa soporta completamente LTI v1p1 y las pluggable extensiones.
  • Se permite el uso de alias de archivo y enlace directo a un imsmanifest.xml dentro de un ZIP en formato SCORM (lo que permitirá actualizar contenidos)
  • Reproductor SCORM mejorado.
  • Nuevo reporte de objetivos SCORM. Mejoras en los informes.
  • El repositorio sistema de archivos muestra miniaturas
  • Los ficheros pueden subirse mediante web services
  • Requisitos
    • Espacio en disco suficiente para la instalación y los archivos a publicar (1 GB mínimo sería recomendable)
    • Memoria RAM de 1GB. *Moodle podría soportar de 10 a 20 usuarios concurrentes por cada GB de memoria RAM dependiendo de la configuración hardware/software)
    • Principalmente Apache, aunque soporta otros sistemas operativos.
    • PHP versión 5.3.7 con extensiones y configuración específica http://docs.moodle.org/22/en/PHP.
    • MySQL 5.1.33 y PostgreSQL 8.3. María DB 5.3.5. También soporta otras BBDD como Oracle, SQLite, MSSQL.
    • Explorer 9 o superior (Explorer 10 para las funciones de arrastrar y soltar). Y funciona correctamente (salvo que el tema gráfico no lo soporte) los navegadores modernos (Safari, Chrome, Firefox). En concreto Safari 6, Google Chrome y Firefox últimas versiones.
    • Nuevas extensiones recomendadas: slip, OPcache

 

Moodle 2.7

Fecha de lanzamiento: 14 Mayo 2014
Información de referencia:
http://docs.moodle.org/27/en/New_features
http://docs.mwoodle.org/all/es/Nuevas_caracter%C3%ADsticas_de_Moodle_2.7

  • Requisitos
    • Espacio en disco suficiente para la instalación y los archivos a publicar (1 GB mínimo sería recomendable)
    • Memoria RAM de 1GB. *Moodle podría soportar de 10 a 20 usuarios concurrentes por cada GB de memoria RAM dependiendo de la configuración hardware/software)
    • Principalmente Apache, aunque soporta otros sistemas operativos.
    • PHP versión 5.4.4 con extensiones y configuración específica http://docs.moodle.org/27/en/PHP .
    • MySQL 5.5.31 y PostgreSQL 8.3. María DB 5.5.31. También soporta otras BBDD como Oracle, SQLite, MSSQL.
    • Explorer 9 o superior (Explorer 10 para las funciones de arrastrar y soltar). Y funciona correctamente (salvo que el tema gráfico no lo soporte) los navegadores modernos (Safari, Chrome, Firefox). En concreto Safari 6, Google Chrome y Firefox últimas versiones.
    • Ghotscript debe estar instalado para hacer anotaciones en PDF.

 

Y para terminar, una presentación de la Imoot 2014, dónde Martin Dougiamas explica las novedades de Moodle 2.7 y lo que vendrá en el futuro.

miguel.angel@factorsim.com'
tak

Dejar un comentario

PUBLICAR COMENTARIO Volver arriba


− 2 = 4

Contáctanos

Puedes enviarnos un mensaje si tienes quejas o quieres felicitarnos, o para contarnos algo, te responderemos :D